Update negotiation expiration date
curl --request PATCH \
--url https://api.creditor.younegotiate.com/dashboard/completed-negotiations/{consumer}/negotiation-expiration-date \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"first_pay_date": "2026-07-01"
}
'import requests
url = "https://api.creditor.younegotiate.com/dashboard/completed-negotiations/{consumer}/negotiation-expiration-date"
payload = { "first_pay_date": "2026-07-01" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({first_pay_date: '2026-07-01'})
};
fetch('https://api.creditor.younegotiate.com/dashboard/completed-negotiations/{consumer}/negotiation-expiration-date', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "Your first pay date update successfully.",
"data": {
"id": 123,
"negotiation_expiration_date": "2026-07-01",
"offer_accepted": true
}
}Update negotiation expiration date
Update the accepted negotiation first-payment date from the Dashboard > Performance > Negotiated / Pending Payment tab. If the requested date exceeds the account’s max first-payment date, the accepted offer is reopened as a consumer counter offer.
PATCH
/
dashboard
/
completed-negotiations
/
{consumer}
/
negotiation-expiration-date
Update negotiation expiration date
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Consumer account ID from the negotiated pending payment row.
Body
application/json
Future first-payment date in YYYY-MM-DD format.
Last modified on July 20, 2026
Was this page helpful?
⌘I

